###################################################################
# Function Name: step_reset
#
# Activated By:  function arena/step_reset
#
# Functionality:
###################################################################

###################################################################

# Update spawnpoint
spawnpoint @a[tag=InArena] 749 70 1869
spawnpoint @a[tag=loser] 749 70 1869
spawnpoint @a[tag=winner] 749 70 1869

# Reset game entity tags
tag @s remove IsArenaActive
tag @s remove Easy
tag @s remove Medium
tag @s remove Hard
tag @s remove wave1
tag @s remove wave2
tag @s remove wave3
tag @s remove wave4
tag @s remove wave5
tag @s remove PVP
tag @s add LobbyProtection
tag @s remove ClearingArena

# Reset game entity scores 
scoreboard players set @s ArenaTime 0
scoreboard players set @s ArenaStep 0
scoreboard players set @s ZombieValue 0
scoreboard players set @s SkeletonValue 0
scoreboard players set @s MobValue 0
scoreboard players set @s MobsInArena 0
scoreboard players set @s PlayersInArena 0


# Reset player tags 
tag @a remove InArena
tag @a remove loser
tag @a remove winner

# Reset player scores 
scoreboard players set @a RandomValue 0

# Kill arena mobs 
event entity @e[family=arena_mob] foa:despawn
event entity @e[family=prison] foa:despawn