###################################################################
# Function Name: step_pve
#
# Activated By:  function arena/step_pve
#
# Functionality:
###################################################################

###################################################################
scoreboard players add @s ArenaTime 1
###################################################################

# TP player
execute @s[scores={ArenaTime=1}] ~ ~ ~ tp @a[tag=InArena] 752 64 1950 180 0
execute @s[scores={ArenaTime=1}] ~ ~ ~ playsound teleport @a[tag=InArena] ~ ~ ~ 100 1 1

# Update spawnpoint
execute @e[type=armor_stand,tag=Game,scores={ArenaTime=2}] ~ ~ ~ spawnpoint @a[tag=InArena] 749 70 1869

# Clear monsters from arena
execute @e[type=armor_stand,tag=Game,scores={ArenaTime=2}] ~ ~ ~ event entity @e[family=monster,x=752,y=63,z=1950,r=25] foa:despawn

# Disable lobby protection
execute @e[type=armor_stand,tag=Game,scores={ArenaTime=2}] ~ ~ ~ tag @s remove LobbyProtection

# Clear buttons
execute @e[type=armor_stand,tag=Game,scores={ArenaTime=2}] ~ ~ ~ fill 754 64 1915 754 64 1917 air 0 replace

#Count mobs
execute @e[type=armor_stand,tag=Game,scores={ArenaTime=39..100}] ~ ~ ~ function arena/action/count_players

# Message and sound effects for battle prepare
execute @s[scores={ArenaTime=10}] ~ ~ ~ title @a[tag=InArena] subtitle §e§oPrepare for battle!
execute @s[scores={ArenaTime=10}] ~ ~ ~ title @a[tag=InArena] title §aBattle Arena
execute @s[scores={ArenaTime=10}] ~ ~ ~ playsound mob.evocation_illager.prepare_summon @a[tag=InArena]


# Countdown
execute @s[scores={ArenaTime=50}] ~ ~ ~ title @a[tag=InArena] subtitle §c3
execute @s[scores={ArenaTime=50}] ~ ~ ~ title @a[tag=InArena] title §c
execute @s[scores={ArenaTime=50}] ~ ~ ~ playsound note.bit @a[tag=InArena]

execute @s[scores={ArenaTime=70}] ~ ~ ~ title @a[tag=InArena] subtitle §62
execute @s[scores={ArenaTime=70}] ~ ~ ~ title @a[tag=InArena] title §c
execute @s[scores={ArenaTime=70}] ~ ~ ~ playsound note.bit @a[tag=InArena]

execute @s[scores={ArenaTime=90}] ~ ~ ~ title @a[tag=InArena] subtitle §a1
execute @s[scores={ArenaTime=90}] ~ ~ ~ title @a[tag=InArena] title §c
execute @s[scores={ArenaTime=90}] ~ ~ ~ playsound note.bit @a[tag=InArena]

execute @s[scores={ArenaTime=110}] ~ ~ ~ title @a[tag=InArena] subtitle §cFight
execute @s[scores={ArenaTime=110}] ~ ~ ~ title @a[tag=InArena] title §c
execute @s[scores={ArenaTime=110}] ~ ~ ~ playsound mob.evocation_illager.prepare_summon @a[tag=InArena]


# Move to next step
execute @s[scores={ArenaTime=110}] ~ ~ ~ scoreboard players set @s ArenaStep 10


# Reset param.
execute @s[scores={ArenaTime=110}] ~ ~ ~ scoreboard players set @s ArenaTime 0